List Available Shots

Retrieve a list of all available shots that can be used for generating LipDubs.

This endpoint returns paginated results of all shots associated with your account, including their project and scene information.

Example Response

{
  "data": [
    {
      "shot_id": 99,
      "shot_label": "api-full-test-new.mp4", 
      "shot_project_id": 37,
      "shot_scene_id": 37,
      "shot_project_name": "Lee Studios",
      "shot_scene_name": "Under the tent"
    }
  ],
  "count": 1
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
≥ 1
Defaults to 1

Page number for pagination (starts from 1)

integer
1 to 100
Defaults to 20

Number of items per page (max 100)

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json